## org.apache.myfaces.renderkit.html.ext
Class HtmlRadioRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlRadioRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlRadioRenderer

public class HtmlRadioRenderer
extends HtmlRadioRendererBase

Version:
  $Revision: 279369 $ $Date: 2005-09-07 12:16:26 -0400 (Wed, 07 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $), Thomas Spiegl

Constructor Summary
`HtmlRadioRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRadioRendererBase
`getConvertedValue, getLayout, getStyleClass, renderGroupOrItemRadio, renderRadio`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRadioRenderer

    public HtmlRadioRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlRadioRendererBase`
  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

  Overrides:
    `isDisabled` in class `HtmlRadioRendererBase`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

  Overrides:
    `decode` in class `HtmlRadioRendererBase`